OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
OpAccumulator< IterT, OpT > Class Template Reference

`#include <ValueTransformer.h>`

## Public Types
using | IterRange = typename tree::IteratorRange< IterT >

## Public Member Functions
| OpAccumulator (const IterT &iter, OpT &op)
| OpAccumulator (OpAccumulator &other, tbb::split)
| ~OpAccumulator ()
void | process (bool threaded=true)
void | operator() (IterRange &r)
void | join (OpAccumulator &other)

## Member Typedef Documentation

## ◆ IterRange

using IterRange = typename tree::IteratorRange<IterT>

## Constructor & Destructor Documentation

## ◆ OpAccumulator() [1/2]

OpAccumulator | ( | const IterT & | iter,
|  | OpT & | op
| ) |  |
| inline

## ◆ OpAccumulator() [2/2]

OpAccumulator | ( | OpAccumulator< IterT, OpT > & | other,
|  | tbb::split |
| ) |  |
| inline

## ◆ ~OpAccumulator()

~OpAccumulator | ( |  | ) |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | OpAccumulator< IterT, OpT > & | other | ) |
| inline

## ◆ operator()()

void operator() | ( | IterRange & | r | ) |
| inline

## ◆ process()

void process | ( | bool | threaded = `true` | ) |
| inline

The documentation for this class was generated from the following file:

- ValueTransformer.h